# Get Brand Details

Get the US 10DLC brand details using the TCR brand ID.

Endpoint: GET /v1/projects/{projectId}/brandRegistrations:fetchByTcrBrandId
Version: 1.0
Security: BasicAuth, OAuth2

## Path parameters:

  - `projectId` (string, required)
    Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the Customer Dashboard.

## Query parameters:

  - `brandId` (string, required)
    Brand Id to be qualified

## Response 200 fields (application/json):

  - `brandRegistrationId` (string)
    Output only. Brand registration Id

  - `brandId` (string)
    Output only. TCR brand Id

  - `identityStatus` (string)
    Identity status for the brand.

  - `displayName` (string)
    Output only. Display name defined by user

  - `brandRegistrationStatus` (string)
    - DRAFT: Registration has not yet been submitted. Only feasible when creating a brand registration in dashboard.sinch.com - IN_PROGRESS: Registration had been submitted for review - REJECTED: Registration has been rejected. Please contact your account manager for further information - APPROVED: Brand registration has been completed - UPGRADE: The Brand is being upgraded to FULL registration
    Enum: "DRAFT", "IN_PROGRESS", "REJECTED", "APPROVED", "UPGRADE"

  - `brandRegistrationType` (string)
    - SIMPLIFIED: Simplified Registration costs 10USD and will only verify your brand. - FULL: Full Registration will cost 50USD but perform an vetting and grant a vetted verified brand.
    Enum: "SIMPLIFIED", "FULL", "BRAND_REGISTRATION_TYPE_UNSPECIFIED"

  - `companyDetails` (object)

  - `companyDetails.companyName` (string)
    The legal name of the end user business

  - `companyDetails.companyEmail` (string)
    The email address of support contact

  - `companyDetails.businessContactEmail` (string)
    The email address of the primary business contact.

  - `companyDetails.brandName` (string)
    The brand name the business wants to register

  - `companyDetails.country` (string)
    2 letter ISO-2 country code. E.g. US, CA

  - `companyDetails.streetAddress` (string)
    Street name and house number. E.g. 1000 Sunset Hill Road

  - `companyDetails.city` (string)
    City name

  - `companyDetails.postalCode` (string)
    Zipcode or postal code. E.g. 21012

  - `companyDetails.state` (string)
    State or province. For the United States, please use 2 character codes. E.g. 'CA' for California.

  - `companyDetails.webAddress` (string)
    The website of the business

  - `financialDetails` (object)

  - `financialDetails.brandEntityType` (string)
    - PUBLIC: A public company registered on a stock exchange
- PRIVATE: A private company
- CHARITY_NON_PROFIT: A charity or non-profit company
    Enum: "PUBLIC", "PRIVATE", "CHARITY_NON_PROFIT"

  - `financialDetails.brandVerticalType` (string)
    - PROFESSIONAL
- REAL_ESTATE
- HEALTHCARE
- HUMAN_RESOURCES
- ENERGY
- ENTERTAINMENT
- RETAIL
- AGRICULTURE
- INSURANCE
- POSTAL
- EDUCATION
- HOSPITALITY
- FINANCIAL
- POLITICAL
- GAMBLING
- LEGAL
- CONSTRUCTION
- NGO
- MANUFACTURING
- GOVERNMENT
- TECHNOLOGY
- COMMUNICATION
    Enum: "PROFESSIONAL", "REAL_ESTATE", "HEALTHCARE", "HUMAN_RESOURCES", "ENERGY", "ENTERTAINMENT", "RETAIL", "TRANSPORTATION", "AGRICULTURE", "INSURANCE", "POSTAL", "EDUCATION", "HOSPITALITY", "FINANCIAL", "POLITICAL", "GAMBLING", "LEGAL", "CONSTRUCTION", "NGO", "MANUFACTURING", "GOVERNMENT", "TECHNOLOGY", "COMMUNICATION"

  - `financialDetails.taxIdCountry` (string)
    In what country is your tax id registered

  - `financialDetails.taxIdCorporate` (string)
    The tax id of the business

  - `financialDetails.stockSymbol` (string)
    The company stock symbol

  - `financialDetails.exchange` (string)
    In what stock exchange is the company registered

  - `contactDetails` (object)

  - `contactDetails.firstName` (string)
    First name of business contact

  - `contactDetails.lastName` (string)
    Last name of business contact

  - `contactDetails.phoneNumber` (string)
    The support contact telephone in e.164 format. E.g. +12023339999

  - `contactDetails.email` (string)
    The email address to the end user contact person

  - `mock` (boolean)
    Defines if created brand should be mocked or real one

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    The error code.
    Example: 400

  - `error.message` (string, required)
    The error message.
    Example: "Invalid argument."

  - `error.status` (string)
    The status of the error.
    Example: "INVALID_ARGUMENT"

  - `error.details` (array)
    An array of objects describing the error in more detail, if applicable.

  - `error.details.type` (string)
    A more specific description of the error.
    Example: "BadRequest"

  - `error.details.resourceType` (string)
    The type of resource relevant to the error, if applicable.

  - `error.details.resourceName` (string)
    The name of the resource, if applicable.

  - `error.details.owner` (string)
    The owner of the resource, if applicable.

  - `error.details.description` (string)
    A description of the error, if applicable.

  - `error.details.fieldViolations` (array)
    An array of all the field violations which contributed to the error.

  - `error.details.fieldViolations.field` (string)
    The field which produced the error.
    Example: "order_by"

  - `error.details.fieldViolations.description` (string)
    The description of the error.
    Example: "Invalid `order_by` number."


